#include "mof/Light.hpp"
#include "mof/stream/Constant.hpp"

mof::Light::Light()
: m_diffuseColor(mof::makeConstantHandler(mof::Color4f(1 , 1 , 1))) , m_frame(0){
	
}


mof::Light::~Light(){
}

void mof::Light::setDiffuseColor(mof::Color4f color){
	mof::Manipulator<mof::Color4f>::Handler f = mof::makeConstantHandler(color);
	setDiffuseColor(f);
}

void mof::Light::setDiffuseColor(const mof::Manipulator<mof::Color4f>::Handler& f){
	m_diffuseColor = f;
	m_frame = 0;
}

